# DataExchange
TKSTEPAttr
StepDimTol

# StepDimTol_GeometricTolerance Class Reference

Representation of STEP entity GeometricTolerance
.

`#include <StepDimTol_GeometricTolerance.hxx>`

Inheritance diagram for StepDimTol_GeometricTolerance:

[legend]

## Public Member Functions

Standard_EXPORT | StepDimTol_GeometricTolerance ()
| Empty constructor .
Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Handle(TCollection_HAsciiString)&aDescription, const Handle(StepBasic_MeasureWithUnit)&aMagnitude, const Handle(StepRepr_ShapeAspect)&aTolerancedShapeAspect)
| Initialize all fields (own and inherited) .
Standard_EXPORT Handle_TCollection_HAsciiString | Name () const
| Returns field Name .
Standard_EXPORT void | SetName (const Handle(TCollection_HAsciiString)&Name)
| Set field Name .
Standard_EXPORT Handle_TCollection_HAsciiString | Description () const
| Returns field Description .
Standard_EXPORT void | SetDescription (const Handle(TCollection_HAsciiString)&Description)
| Set field Description .
Standard_EXPORT Handle_StepBasic_MeasureWithUnit | Magnitude () const
| Returns field Magnitude .
Standard_EXPORT void | SetMagnitude (const Handle(StepBasic_MeasureWithUnit)&Magnitude)
| Set field Magnitude .
Standard_EXPORT Handle_StepRepr_ShapeAspect | TolerancedShapeAspect () const
| Returns field TolerancedShapeAspect .
Standard_EXPORT void | SetTolerancedShapeAspect (const Handle(StepRepr_ShapeAspect)&TolerancedShapeAspect)
| Set field TolerancedShapeAspect .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_TCollection_HAsciiString | theName
Handle_TCollection_HAsciiString | theDescription
Handle_StepBasic_MeasureWithUnit | theMagnitude
Handle_StepRepr_ShapeAspect | theTolerancedShapeAspect

## Constructor & Destructor Documentation

Standard_EXPORT StepDimTol_GeometricTolerance::StepDimTol_GeometricTolerance | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_TCollection_HAsciiString StepDimTol_GeometricTolerance::Description | ( |  | ) | const

Standard_EXPORT const StepDimTol_GeometricTolerance::Handle | ( | Standard_Type |  | ) | const

Reimplemented in StepDimTol_AngularityTolerance, StepDimTol_CircularRunoutTolerance, StepDimTol_CoaxialityTolerance, StepDimTol_ConcentricityTolerance, StepDimTol_CylindricityTolerance, StepDimTol_FlatnessTolerance, StepDimTol_GeometricToleranceWithDatumReference, StepDimTol_GeoTolAndGeoTolWthDatRefAndModGeoTolAndPosTol, StepDimTol_LineProfileTolerance, StepDimTol_ModifiedGeometricTolerance, StepDimTol_ParallelismTolerance, StepDimTol_PerpendicularityTolerance, StepDimTol_PositionTolerance, StepDimTol_RoundnessTolerance, StepDimTol_StraightnessTolerance, StepDimTol_SurfaceProfileTolerance, StepDimTol_SymmetryTolerance, and StepDimTol_TotalRunoutTolerance.

Standard_EXPORT void StepDimTol_GeometricTolerance::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(TCollection_HAsciiString)& | aDescription,
|  | const Handle(StepBasic_MeasureWithUnit)& | aMagnitude,
|  | const Handle(StepRepr_ShapeAspect)& | aTolerancedShapeAspect
| ) |

Standard_EXPORT Handle_StepBasic_MeasureWithUnit StepDimTol_GeometricTolerance::Magnitude | ( |  | ) | const

Standard_EXPORT Handle_TCollection_HAsciiString StepDimTol_GeometricTolerance::Name | ( |  | ) | const

Standard_EXPORT void StepDimTol_GeometricTolerance::SetDescription | ( | const Handle(TCollection_HAsciiString)& | Description | ) |

Standard_EXPORT void StepDimTol_GeometricTolerance::SetMagnitude | ( | const Handle(StepBasic_MeasureWithUnit)& | Magnitude | ) |

Standard_EXPORT void StepDimTol_GeometricTolerance::SetName | ( | const Handle(TCollection_HAsciiString)& | Name | ) |

Standard_EXPORT void StepDimTol_GeometricTolerance::SetTolerancedShapeAspect | ( | const Handle(StepRepr_ShapeAspect)& | TolerancedShapeAspect | ) |

Standard_EXPORT Handle_StepRepr_ShapeAspect StepDimTol_GeometricTolerance::TolerancedShapeAspect | ( |  | ) | const

## Field Documentation

Handle_TCollection_HAsciiString StepDimTol_GeometricTolerance::theDescription `[private]`

Handle_StepBasic_MeasureWithUnit StepDimTol_GeometricTolerance::theMagnitude `[private]`

Handle_TCollection_HAsciiString StepDimTol_GeometricTolerance::theName `[private]`

Handle_StepRepr_ShapeAspect StepDimTol_GeometricTolerance::theTolerancedShapeAspect `[private]`

The documentation for this class was generated from the following file:

- StepDimTol_GeometricTolerance.hxx